nav {
  box-sizing: border-box;
  float: left;
  width: 100%;
  list-style:none;
  background-color:#FFFFFF;
  list-style:none;
}
nav a {
  font-family: MyCustomFont;
  font-size: 25px;
  background-color:#FFFFFF;
}



/* We apply background color and border bottom white and width to 150px */
@media (max-width: 499px)
{
nav ul li{
    border-bottom:solid 1px #CCCCCC;
    width:100%;
    cursor:pointer;
    color: #FF8800;
    list-style:none;
}}

@media (min-width: 500px)
{
nav ul li{
    border-bottom:solid 1px #CCCCCC;
    width:250px;
    color: #FF8800;
    list-style:none;
}}

/* We apply the background hover color when user hover the mouse over of the li component */
nav ul li:hover{
    background-color:#EEEEEE;
    position:relative;
  color: #FFFFFF;
}

/* We apply the link style */
nav ul li a{
    padding:5px 15px;
    color:#FF8800;
    display:inline-block;
    text-decoration:none;

}
nav ul li a:hover{
    color:#94949B;
    background-color:#EEEEEE;
}



/**** SECOND LEVEL MENU ****/
/* We make the position to absolute for flyout menu and hidden the ul until the user hover the parent li item */
nav ul li ul{
    position:absolute;
    display:none;
    list-style:none;
z-index:500;
}

@media (min-width: 500px)
{
/* When user has hovered the li item, we show the ul list by applying display:block, note: 150px is the individual menu width.  */
nav ul li:hover ul{
    left:150px;
    top:0px;
    display:block;
}
}
@media (max-width: 499px)
{
/* When user has hovered the li item, we show the ul list by applying display:block, note: 150px is the individual menu width.  */
nav ul li:hover ul{
    left:180px;
    top:0px;
    display:block;
}
}


/* we apply different background color to 2nd level menu items*/
nav ul li ul li{
    background-color:#FFFFFF;
}

/* We change the background color for the level 2 submenu when hovering the menu */
nav ul li:hover ul li:hover{
    background-color:#FFFFFF;
}

/* We style the color of level 2 links */
nav ul li ul li a{
    color:#FF8800;
    display:inline-block;
    width:120px;
}




/**** THIRD LEVEL MENU ****/


/* We need to hide the 3rd menu, when hovering the first level menu */
nav ul li:hover ul li ul{
    position:absolute;
    display:none;
    list-style:none;
    color:#FF8800;
}

/* We show the third level menu only when they hover the second level menu parent */
@media (min-width: 500px)
{
nav ul li:hover ul li:hover ul{
    display:block;
    left:150px;
    top:0;

}
}

/* We change the background color for the level 3 submenu*/
nav ul li:hover ul li:hover ul li{
    background:#FFFFFF;

}

/* We change the background color for the level 3 submenu when hovering the menu */

nav ul li:hover ul li:hover ul li:hover{
    background:#FFFFFF;
}





